Bug 640353 - (CVE-2010-3116) CVE-2010-3116 webkit: memory corruption with MIME types
CVE-2010-3116 webkit: memory corruption with MIME types
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
public=20100819,reported=20100824,sou...
: Security
Depends On: 640382 640385 640386
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-05 12:05 EDT by Vincent Danen
Modified: 2012-03-07 02:02 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-07 02:02:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Vincent Danen 2010-10-05 12:05:14 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2010-3116 to
the following vulnerability:

Google Chrome before 5.0.375.127 does not properly process MIME types, which allows remote attackers to cause a denial of service (memory corruption) or possibly have unspecified other impact via unknown vectors.

References:

* Chrome Bug: http://code.google.com/p/chromium/issues/detail?id=50515
* Chrome Bug: http://code.google.com/p/chromium/issues/detail?id=51835
* Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=43147
* Bugzilla: https://bugs.webkit.org/show_bug.cgi?id=43888
* Trac: http://trac.webkit.org/changeset/64293
* Trac: http://trac.webkit.org/changeset/65280

This issue has been corrected in WebKitGTK 1.2.5.
Comment 1 Vincent Danen 2010-10-05 13:19:14 EDT
Created webkitgtk tracking bugs for this issue

Affects: fedora-all [bug 640382]
Comment 3 errata-xmlrpc 2011-01-25 12:07:42 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2011:0177 https://rhn.redhat.com/errata/RHSA-2011-0177.html

Note You need to log in before you can comment on or make changes to this bug.